<?php // no direct access
defined('_JEXEC') or die;

/**
 * Theme: VirtueMart Theme
 *
 * @package 	    FrontEnd / Template
 * @author 		    MoWebSo.com / Eugen Stranz
 * @copyright       (C) 2009 - 2013 ENYtheme e.K.
 * @license		    GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html
 */


// Include The MoWebSo Library
jimport('mowebso.joomla.thirdparty.virtuemart');
$mowebso = MoWebSoVirtuemart::getInstance();

// Check If We Have Manufacturer ID
// If Yes We Do Not Show the Categories At The Top
$app = Jfactory::getApplication();
$manufacturerID = $app->get('input')->get('virtuemart_manufacturer_id',0,'int');
//$manufacturerID = JRequest::getVar('virtuemart_manufacturer_id', 0);

// Load Template: Store Subcategories
if (empty($manufacturerID) && !empty($this->category->children) && $this->search === null && VmConfig::get ('showCategory', 1)) {
	echo $this->loadTemplate('subcategories');
}

// Output: Section Start
$mowebso->buildSectionStart(true);

// Load Template: Titles
echo $this->loadTemplate('titles');

// Load Template: Store Description
if (!empty($this->category->category_description)) {
	echo $this->loadTemplate('description');
}

// Load Template: Search
if ($this->search !== null ) {
	echo $this->loadTemplate('search');
}

// Output: Products in A Section
if (!empty($this->products)) {

	// Output: Filter By Box & Limit Product Option Box ?>
	<div class="orderby-displaynumber-area">
	    <div class="spacer">

			<?php // Output: Order By Fields
			if (!empty($this->orderByList['orderby']) || !empty($this->orderByList['manufacturer'])) {
		        echo $this->loadTemplate('orderby');
			} ?>

			<?php // Output: Limit Products
		    echo $this->loadTemplate('limitproducts'); ?>

	    <div class="clear"></div>
	    </div>
	</div>
	<?php // Output: Filter By Box & Limit Product Option Box END ?>

	<?php // Output: Products
	echo $this->loadTemplate('products'); ?>

	<?php
	$footer = true;
	$pagination = $this->vmPagination->getPagesLinks();
	$pageCounter = $this->vmPagination->getPagesCounter();
	if(!empty($pagination) || !empty($pageCounter)) {
		$footer = false; ?>
	    <div class="vm-pagination-area">
	        <div class="spacer">

		        <?php // Output: Page Links
		        echo $this->loadTemplate('pagelinks'); ?>

		        <?php // Output: Page Count
		        echo $this->loadTemplate('pagecount'); ?>
	            <div class="clear"></div>
	        </div>
	    </div>
<?php
	}
} elseif ($this->search !==null ) { ?>

	<div class="spacer">
		<?php echo JText::_('COM_VIRTUEMART_NO_RESULT').($this->keyword? ' : ('. $this->keyword. ')' : ''); ?>
	</div>

<?php } else { ?>

	<div class="spacer">
		<?php echo JText::_('COM_VIRTUEMART_NO_RESULT'); ?>
	</div>

<?php } ?>

<?php // Output: Section End
$mowebso->buildSectionEnd();

// Load Template: Store Subcategories
if (!empty($this->category->children) && $this->search !== null && VmConfig::get ('showCategory', 1)) {
	echo $this->loadTemplate('subcategories');
}
?>